# Changelog

All notable changes to this project will be documented in this file.

## [0.6.0](https://github.com/orhun/daktilo/compare/v0.5.0..0.6.0) - 2024-04-10

### 📇 Features

- _(playback)_ Support playing multiple sounds at once ([#128](https://github.com/orhun/daktilo/issues/128)) - ([9e2bb1a](https://github.com/orhun/daktilo/commit/9e2bb1a955d5f1e51f4b77ecef4f518ba66e06d5))
- _(preset)_ Add "sparks" sound preset ([#95](https://github.com/orhun/daktilo/issues/95)) - ([5db4bb2](https://github.com/orhun/daktilo/commit/5db4bb20b9253f36458928320ab240d580946d62))

### 🐛 Bug Fixes

- _(cd)_ Update embed locations for release-plz action - ([e9eafb6](https://github.com/orhun/daktilo/commit/e9eafb6669d02868a1949a470cc44a7b223acccd))
- _(ci)_ Force installation of cargo-msrv - ([244326c](https://github.com/orhun/daktilo/commit/244326cfe425244223d45ce034374c0f34547a44))
- _(ci)_ Update cargo-msrv invocation - ([9e19792](https://github.com/orhun/daktilo/commit/9e1979235f64e3752bef3e5ea555dba538576093))
- _(ci)_ Fix MSRV check - ([01a7fb8](https://github.com/orhun/daktilo/commit/01a7fb8df31fedb4b844f348e57cac7382966af2))

### 🚜 Refactor

- _(crates)_ Change to workspace with separate crates ([#66](https://github.com/orhun/daktilo/issues/66)) - ([5776676](https://github.com/orhun/daktilo/commit/5776676fdcc69ca8010fa758bdb7e94b9a7642a7))

### 📚 Documentation

- _(readme)_ Document macOS permissions ([#94](https://github.com/orhun/daktilo/issues/94)) - ([3e74463](https://github.com/orhun/daktilo/commit/3e7446365f8875b963370f0871d6d9ddda5f58bd))

### 🎨 Styling

- _(readme)_ Show the repology badge - ([62cff25](https://github.com/orhun/daktilo/commit/62cff256ab3745253e5ef72911f1f28b227df25b))

### ⚙️ Miscellaneous Tasks

- _(bin)_ Integrate cargo-run-bin - ([1addda6](https://github.com/orhun/daktilo/commit/1addda6d3a4f7bd5f751815e9ebb493d2f3293a4))
- _(cd)_ Allow dirty working directory for release-plz - ([1fba8ed](https://github.com/orhun/daktilo/commit/1fba8edbf4b105c5a1f3e7b379d8a3b64c5bb932))
- _(cd)_ Use another release-plz version as a workaround - ([ae98b5c](https://github.com/orhun/daktilo/commit/ae98b5c495ad5ec87cb26937fe17e4f46f86bdf8))
- _(ci)_ Remove embed location - ([57069cf](https://github.com/orhun/daktilo/commit/57069cf23c5c47aa63bc42de80e9bd0aafa834a6))
- _(ci)_ Update embed location for lint - ([d4df240](https://github.com/orhun/daktilo/commit/d4df240801fc2ce0ef02769016518456852001d5))
- _(crate)_ Bump MSRV to 1.74.1 - ([ce2791e](https://github.com/orhun/daktilo/commit/ce2791e1c7f578dcb28314d2f54c9157e4aca4a5))
- _(github)_ Update funding options - ([b85f8b9](https://github.com/orhun/daktilo/commit/b85f8b9da1bb8f650466ec84829af463a2022117))
- _(project)_ Update copyright years - ([22b7222](https://github.com/orhun/daktilo/commit/22b722283c1debd61774137fa7208730f3084362))
- _(release)_ Allow publishing with uncommitted changes - ([928228f](https://github.com/orhun/daktilo/commit/928228f6be2d60d79b748620facbb0ffbf552900))
- _(release)_ Update cargo-dist to 0.4.0 ([#65](https://github.com/orhun/daktilo/issues/65)) - ([ea45734](https://github.com/orhun/daktilo/commit/ea457341762cdbe1defcaecef50a5d6d44209270))

## [0.5.0](https://github.com/orhun/daktilo/compare/v0.4.0..v0.5.0) - 2023-10-18

### 📇 Features

- _(config)_ Add option to disable easter eggs ([#48](https://github.com/orhun/daktilo/issues/48)) - ([7d347ad](https://github.com/orhun/daktilo/commit/7d347ad21e0ca50699e2c53e2f0a48495211a14d))
- _(playback)_ Add random variation on each keypress ([#24](https://github.com/orhun/daktilo/issues/24)) - ([c53334c](https://github.com/orhun/daktilo/commit/c53334c2f987b2e2a779345de037e80df1a5f9d2))

### 📚 Documentation

- _(readme)_ Update the usage options - ([e153eb4](https://github.com/orhun/daktilo/commit/e153eb4ecfdcfa618c51719da85fee630fdf1d32))

### ⚙️ Miscellaneous Tasks

- _(release)_ Remove homebrew release config - ([666cf57](https://github.com/orhun/daktilo/commit/666cf57693e317fde874b5ee593d22ebf39c7fc2))

## [0.4.0](https://github.com/orhun/daktilo/compare/v0.3.1..v0.4.0) - 2023-10-15

### 📇 Features

- _(playback)_ Allow specifying multiple presets at once ([#43](https://github.com/orhun/daktilo/issues/43)) - ([4154b8c](https://github.com/orhun/daktilo/commit/4154b8c3dc69a0b210e29dbef64a3ddc3fcd4339))

## [0.3.1](https://github.com/orhun/daktilo/compare/v0.3.0..v0.3.1) - 2023-10-10

### 📚 Documentation

- _(readme)_ Add MacPorts install info ([#37](https://github.com/orhun/daktilo/issues/37)) - ([33ed3fd](https://github.com/orhun/daktilo/commit/33ed3fd874c76fd24ea59f4c3c5c91f8e64bfa59))

### ⚙️ Miscellaneous Tasks

- _(changelog)_ Remove footer from changelog - ([c25044d](https://github.com/orhun/daktilo/commit/c25044d32291f472e1a7d7b988b6708e8cc27ee3))

## [0.3.0](https://github.com/orhun/daktilo/compare/v0.2.1..v0.3.0) - 2023-10-07

### 📇 Features

- _(playback)_ Support selecting the output device - ([6bd8269](https://github.com/orhun/daktilo/commit/6bd8269639bd95f5a4386e32f9abc9adf15c12d1))

## [0.2.1](https://github.com/orhun/daktilo/compare/v0.2.0..v0.2.1) - 2023-10-05

### 🐛 Bug Fixes

- _(cd)_ Use a custom token for triggering release workflow - ([0f8dcdc](https://github.com/orhun/daktilo/commit/0f8dcdcf2955577535bec8fa4da81bfca7aca7f5))

### 🚜 Refactor

- _(config)_ Refactor preset selection logic - ([7f1e055](https://github.com/orhun/daktilo/commit/7f1e055dd91b9081cd5ffdc92889da8392caa630))

### 📚 Documentation

- _(readme)_ Give more details about cargo ([#30](https://github.com/orhun/daktilo/issues/30)) - ([91c8e94](https://github.com/orhun/daktilo/commit/91c8e94567b942a37c32d21e141aa5d337c837fa))
- _(release)_ Update release instructions - ([59101b5](https://github.com/orhun/daktilo/commit/59101b5aefa7eb788eb5aaa756f98012dd069eb6))
- _(security)_ Update security policy for the new versions - ([73b12dc](https://github.com/orhun/daktilo/commit/73b12dcaeb07ab152593c8443ac3fc4f486fde5b))

## [0.2.0](https://github.com/orhun/daktilo/compare/v0.1.0..v0.2.0) - 2023-10-04

### 📇 Features

- _(cd)_ Add continuous deployment workflow - ([eced001](https://github.com/orhun/daktilo/commit/eced001ef1d3df26305cbf69c1094a27e1d65feb))
- _(config)_ Add drumkit preset ([#18](https://github.com/orhun/daktilo/issues/18)) - ([6899c65](https://github.com/orhun/daktilo/commit/6899c65778c14e0e10b9c1a62623273ea1e4a239))

### 🐛 Bug Fixes

- _(cd)_ Install dependencies for release-plz workflow - ([778cae2](https://github.com/orhun/daktilo/commit/778cae21f283b7e2f1f576d49f57600a3aa1849c))

### 📚 Documentation

- _(contributing)_ Add 'how to add new presets' guide - ([00bc615](https://github.com/orhun/daktilo/commit/00bc61520f1b80ba52351d3aafbeb59d28013a08))
- _(readme)_ Document linux dependencies ([#17](https://github.com/orhun/daktilo/issues/17)) - ([928f6ee](https://github.com/orhun/daktilo/commit/928f6ee1839dd34b29be0d1ae915eb01f48478f7))
- _(readme)_ Use case sensitive regex in example ([#21](https://github.com/orhun/daktilo/issues/21)) - ([b296348](https://github.com/orhun/daktilo/commit/b29634867b1a4a45d654a93b47f6c6b7865ac52e))
- _(readme)_ Add installation instructions for Alpine Linux - ([6935762](https://github.com/orhun/daktilo/commit/69357626c4f3c2aa69f22940ffda913adb18ff6a))
- _(readme)_ Add supported platforms section - ([064c8ed](https://github.com/orhun/daktilo/commit/064c8ed409a07010fd38bc82aa75abff53a80774))
- _(readme)_ Add similar projects section - ([84e5db1](https://github.com/orhun/daktilo/commit/84e5db122a60c0c95815e973a2c951a9774723ab))
- _(readme)_ Add auxiliary explanation for the name of the app ([#13](https://github.com/orhun/daktilo/issues/13)) - ([187d616](https://github.com/orhun/daktilo/commit/187d616c0ce88aa24c2b5aa9c0603b38fb6852ce))
- _(readme)_ Add instructions for installing on Arch Linux - ([02afb8a](https://github.com/orhun/daktilo/commit/02afb8a948d3641d856e607b34e5d869423c4c6c))

### ⚙️ Miscellaneous Tasks

- _(typos)_ Add typos config - ([4de968d](https://github.com/orhun/daktilo/commit/4de968d4bbc19125e7a52668c98ec0e283e6c422))

## [0.1.0] - 2023-10-02

### 📚 Documentation

- _(readme)_ Add more installation options - ([ff59442](https://github.com/orhun/daktilo/commit/ff5944238d90c347d6ca01c7d98bb5f6006a7120))
- _(readme)_ Update demo - ([b2b2858](https://github.com/orhun/daktilo/commit/b2b2858bd44afb1a196e8bd893b2950f29a3db33))

### 🧪 Testing

- _(app)_ Add tests for handling key events - ([d3bdd8c](https://github.com/orhun/daktilo/commit/d3bdd8c823c97b5f29fedc67598e83e2e793a4af))
- _(audio)_ Gate audio tests behind a feature flag - ([25bbed1](https://github.com/orhun/daktilo/commit/25bbed1af8f618bb527df0b76922ad928500e41a))
- _(bin)_ Allow running tests without OUT_DIR set - ([aefa211](https://github.com/orhun/daktilo/commit/aefa2115e6285059bfd865c18d269c791c3ec2c5))

### ⚙️ Miscellaneous Tasks

- _(dist)_ Remove homebrew - ([47fd77a](https://github.com/orhun/daktilo/commit/47fd77a612a5a1c33db1341642b1cd82ad6a64f1))
